package com.ozs.common.enums;

/**
 * 系统角色权限字符串
 *
 * @author buzhanyi
 */
public enum SysRoleKey {
    ADMIN("admin", "超级管理员"),
    COMMON("common", "普通角色"),
    DEMAND_UNIT("demand_unit", "需求单位管理员"),
    PURCHASING_MANAGEMENT("purchasing_management", "采购管理部门管理员"),
    PROCUREMENT_OFFICE("procurement_office", "采购办管理员");

    private final String code;
    private final String info;

    SysRoleKey(String code, String info) {
        this.code = code;
        this.info = info;
    }

    public String getCode() {
        return code;
    }

    public String getInfo() {
        return info;
    }
}
